#!/bin/sh

echo "Test overwrite avoidance"
. config.sh

# Create a file with some data.
# This ensures that test.tar actually has some data in it
# by the time tar tries to add it to itself.
dd if=/dev/urandom of=a bs=1k count=100 >/dev/null 2>&1

# Now try to implicitly add archive to itself
${BSDTAR} -cf test.tar . || echo XXX FAILED XXX

# Create another file
dd if=/dev/urandom of=b bs=1k count=100 >/dev/null 2>&1

# Try again.
${BSDTAR} -cf test.tar . || echo XXX FAILED XXX

# Extract the archive and check that the two files got archived, despite the warning
mkdir compare
cd compare
${BSDTAR} -xf ../test.tar
cmp a ../a || echo XXX a didn't archive correctly XXX
cmp b ../b || echo XXX b didn't archive correctly XXX

# TODO: Test overwrite avoidance on extract
